<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerStats/PlayerStatRecord.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/dcc/_player_stat_record_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PlayerStatRecord.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/dcc/_player_stat_record_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d5/d9a/class_player_stat_record.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/d9a/class_player_stat_record.html">PlayerStatRecord</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d5/d9a/class_player_stat_record.html#aa4edbab8203d9549f6982f87d9bd3caa">    3</a></span>    <span class="keywordtype">float</span>       <a class="code hl_variable" href="../../d5/d9a/class_player_stat_record.html#aa4edbab8203d9549f6982f87d9bd3caa">m_Value</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d5/d9a/class_player_stat_record.html#aa63173586599b2798dd22fd2d3620799">    4</a></span>    <span class="keywordtype">float</span>       <a class="code hl_variable" href="../../d5/d9a/class_player_stat_record.html#aa63173586599b2798dd22fd2d3620799">m_Time</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d5/d9a/class_player_stat_record.html#a7f30951aedaa3c38cd972b4d78651542">    5</a></span>    <span class="keywordtype">string</span>      <a class="code hl_variable" href="../../d5/d9a/class_player_stat_record.html#a7f30951aedaa3c38cd972b4d78651542">m_System</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d5/d9a/class_player_stat_record.html#a607a09a58e8799b134bd45e6e7827fed">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d9a/class_player_stat_record.html#a607a09a58e8799b134bd45e6e7827fed">PlayerStatRecord</a>(<span class="keywordtype">float</span> value, <span class="keywordtype">float</span> time, <span class="keywordtype">string</span> system)</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d5/d9a/class_player_stat_record.html#aa4edbab8203d9549f6982f87d9bd3caa">m_Value</a> = value;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d5/d9a/class_player_stat_record.html#aa63173586599b2798dd22fd2d3620799">m_Time</a> = time;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../d5/d9a/class_player_stat_record.html#a7f30951aedaa3c38cd972b4d78651542">m_System</a> = system;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d5/d9a/class_player_stat_record.html#a1782972e3ff866650eb74cb0a62e2840">   14</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d5/d9a/class_player_stat_record.html#a1782972e3ff866650eb74cb0a62e2840">GetStringOutput</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/d9a/class_player_stat_record.html#aa63173586599b2798dd22fd2d3620799">m_Time</a>.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>()+<span class="stringliteral">&quot;, &quot;</span> +<a class="code hl_variable" href="../../d5/d9a/class_player_stat_record.html#aa4edbab8203d9549f6982f87d9bd3caa">m_Value</a>.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>() + <span class="stringliteral">&quot;, &quot;</span> +<a class="code hl_variable" href="../../d5/d9a/class_player_stat_record.html#a7f30951aedaa3c38cd972b4d78651542">m_System</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>};</div>
<div class="ttc" id="aclass_player_stat_record_html"><div class="ttname"><a href="../../d5/d9a/class_player_stat_record.html">PlayerStatRecord</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dcc/_player_stat_record_8c_source.html#l00001">PlayerStatRecord.c:2</a></div></div>
<div class="ttc" id="aclass_player_stat_record_html_a1782972e3ff866650eb74cb0a62e2840"><div class="ttname"><a href="../../d5/d9a/class_player_stat_record.html#a1782972e3ff866650eb74cb0a62e2840">PlayerStatRecord::GetStringOutput</a></div><div class="ttdeci">string GetStringOutput()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dcc/_player_stat_record_8c_source.html#l00014">PlayerStatRecord.c:14</a></div></div>
<div class="ttc" id="aclass_player_stat_record_html_a607a09a58e8799b134bd45e6e7827fed"><div class="ttname"><a href="../../d5/d9a/class_player_stat_record.html#a607a09a58e8799b134bd45e6e7827fed">PlayerStatRecord::PlayerStatRecord</a></div><div class="ttdeci">void PlayerStatRecord(float value, float time, string system)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dcc/_player_stat_record_8c_source.html#l00007">PlayerStatRecord.c:7</a></div></div>
<div class="ttc" id="aclass_player_stat_record_html_a7f30951aedaa3c38cd972b4d78651542"><div class="ttname"><a href="../../d5/d9a/class_player_stat_record.html#a7f30951aedaa3c38cd972b4d78651542">PlayerStatRecord::m_System</a></div><div class="ttdeci">string m_System</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dcc/_player_stat_record_8c_source.html#l00005">PlayerStatRecord.c:5</a></div></div>
<div class="ttc" id="aclass_player_stat_record_html_aa4edbab8203d9549f6982f87d9bd3caa"><div class="ttname"><a href="../../d5/d9a/class_player_stat_record.html#aa4edbab8203d9549f6982f87d9bd3caa">PlayerStatRecord::m_Value</a></div><div class="ttdeci">float m_Value</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dcc/_player_stat_record_8c_source.html#l00003">PlayerStatRecord.c:3</a></div></div>
<div class="ttc" id="aclass_player_stat_record_html_aa63173586599b2798dd22fd2d3620799"><div class="ttname"><a href="../../d5/d9a/class_player_stat_record.html#aa63173586599b2798dd22fd2d3620799">PlayerStatRecord::m_Time</a></div><div class="ttdeci">float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dcc/_player_stat_record_8c_source.html#l00004">PlayerStatRecord.c:4</a></div></div>
<div class="ttc" id="aclassfloat_html_a9aba6f516b6f38a950c55fa9d0b24afb"><div class="ttname"><a href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">float::ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_2b2b0077c5e32868430aaccffd5fb6fa.html">PlayerStats</a></li><li class="navelem"><a class="el" href="../../de/dcc/_player_stat_record_8c.html">PlayerStatRecord.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
